Name:    liquidctl

Version: 1.2.0
%global prerelease rc1

Release: 0.1%{prerelease}%{?dist}
Summary: Tool for controlling liquid coolers, case fans and RGB LED strips
License: GPLv3+

URL: https://github.com/jonasmalacofilho/liquidctl
Source0: %{URL}/archive/v%{version}%{prerelease}/%{name}-v%{version}%{prerelease}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel

%{?python_enable_dependency_generator}

# Require the python libs in the main package
Requires: python3-%{name}


%global supported_devices \
- Corsair H80i GTX/v2, H100i GTX/v2, H110i GTX and H115i (experimental) \
- EVGA CLC 120 (CL12), 240 and 280 \
- NZXT Grid+ V3 \
- NZXT Kraken M22 \
- NZXT Kraken X (X42, X52, X62 or X72) \
- NZXT Kraken X31, X40/X41 and X60/X61 (experimental) \
- NZXT Smart Device \


%description
liquidctl is a tool for controlling various settings of PC internals, such as:
- liquid cooler pump speed
- case fan speed
- RGB LED strip colors

Currently supported devices are: %{supported_devices}


%package -n python3-%{name}
BuildArch: noarch
Summary: Module for controlling liquid coolers, case fans and RGB LED devices

%description -n python3-%{name}
A python module providing classes for communicating with various cooling devices
and RGB LED solutions.

Currently supported devices are: %{supported_devices}


%prep
%setup -q -n %{name}-%{version}%{prerelease}


%build
%py3_build


%install
%py3_install


%files
%doc CHANGELOG.md README.md
%doc docs/
%{_bindir}/%{name}

%files -n python3-%{name}
%license LICENSE.txt
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/


%changelog
* Wed Jun 19 2019 Artur Iwicki <fedora@svgames.pl> - 1.2.0-0.1rc1
- Update to latest upstream pre-release
- Don't mention NZXT in package summary (support for other manufacturers added)
- Put the list of supported devices in a macro

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 05 2019 Artur Iwicki <fedora@svgames.pl> - 1.1.0-2
- Mark the package as noarch
- Split off the python libs into a python3-liquidctl subpackage
- Fix typos in summary and description

* Fri Dec 28 2018 Artur Iwicki <fedora@svgames.pl> - 1.1.0-1
- Initial packaging
